# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Fennec
Version:	2.018
Release:	1.%{__distinit}%{__distvers}
Summary:	A tester's toolbox, and best friend
License:	GPL+ or Artistic
URL:		https://metacpan.org/release/Fennec
Source0:	http://cpan.metacpan.org/authors/id/E/EX/EXODIST/Fennec-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(Module::Build) >= 0.42
# Module Runtime
BuildRequires:	perl(B)
BuildRequires:	perl(base)
BuildRequires:	perl(Carp)
BuildRequires:	perl(Child) >= 0.010
BuildRequires:	perl(Cwd)
BuildRequires:	perl(Exporter::Declare)
BuildRequires:	perl(File::Find)
BuildRequires:	perl(File::Temp)
BuildRequires:	perl(List::Util)
BuildRequires:	perl(Mock::Quick) >= 1.106
BuildRequires:	perl(Parallel::Runner) >= 0.013
BuildRequires:	perl(Scalar::Util)
BuildRequires:	perl(strict)
BuildRequires:	perl(Test::Builder) >= 0.88
BuildRequires:	perl(Test::Exception) >= 0.29
BuildRequires:	perl(Test::More) >= 0.88
BuildRequires:	perl(Test::Simple) >= 0.88
BuildRequires:	perl(Test::Warn)
BuildRequires:	perl(utf8)
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(Data::Dumper)
BuildRequires:	perl(lib)
BuildRequires:	perl(Test::Pod) >= 1.00
# Runtime
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:	perl(Child) >= 0.010
Requires:	perl(Mock::Quick) >= 1.106
Requires:	perl(Test::Exception) >= 0.29
Requires:	perl(Test::More) >= 0.88
Requires:	perl(Test::Warn)
Requires:	perl(utf8)

%description
Fennec ties together several testing-related modules and enhances their
functionality in ways you don't get loading them individually. Fennec
makes testing easier, and more useful.

This module is deprecated in favor of Test2::Suite, specifically
Test2::Tools::Spec and Test2::Bundle::SpecDeclare.

%prep
%setup -q -n Fennec-%{version}

%build
perl Build.PL --installdirs=vendor
./Build

%install
./Build install --destdir=%{buildroot} --create_packlist=0
%{_fixperms} -c %{buildroot}

%check
./Build test

%files
%doc CHANGES README
%{perl_vendorlib}/Fennec.pm
%dir %{perl_vendorlib}/Fennec/
%{perl_vendorlib}/Fennec/Collector.pm
%{perl_vendorlib}/Fennec/Collector/
%{perl_vendorlib}/Fennec/EndRunner.pm
%{perl_vendorlib}/Fennec/Finder.pm
%doc %{perl_vendorlib}/Fennec/Manual.pod
%dir %{perl_vendorlib}/Fennec/Manual/
%doc %{perl_vendorlib}/Fennec/Manual/CustomFennec.pod
%{perl_vendorlib}/Fennec/Meta.pm
%{perl_vendorlib}/Fennec/Runner.pm
%{perl_vendorlib}/Fennec/Test.pm
%{perl_vendorlib}/Fennec/Util.pm
%{perl_vendorlib}/Test/
%{_mandir}/man3/Fennec.3*
%{_mandir}/man3/Fennec::Collector.3*
%{_mandir}/man3/Fennec::Collector::TB.3*
%{_mandir}/man3/Fennec::Collector::TB::TempFiles.3*
%{_mandir}/man3/Fennec::EndRunner.3*
%{_mandir}/man3/Fennec::Finder.3*
%{_mandir}/man3/Fennec::Manual.3*
%{_mandir}/man3/Fennec::Manual::CustomFennec.3*
%{_mandir}/man3/Fennec::Meta.3*
%{_mandir}/man3/Fennec::Runner.3*
%{_mandir}/man3/Fennec::Test.3*
%{_mandir}/man3/Fennec::Util.3*
%{_mandir}/man3/Test::Workflow.3*
%{_mandir}/man3/Test::Workflow::Block.3*
%{_mandir}/man3/Test::Workflow::Layer.3*
%{_mandir}/man3/Test::Workflow::Meta.3*
%{_mandir}/man3/Test::Workflow::Test.3*

%changelog
* Mon Jun 11 2018 Paul Howarth <paul@city-fan.org> - 2.018-1
- Update to 2.018
  - Documentation fixes, deprecate in favor of Test2::Suite
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section

* Tue Aug 23 2016 Paul Howarth <paul@city-fan.org> - 2.017-8
- BR: perl-generators where available

* Thu Sep 11 2014 Paul Howarth <paul@city-fan.org> - 2.017-4
- Perl 5.20 rebuild

* Wed Apr 23 2014 Paul Howarth <paul@city-fan.org> - 2.017-1
- Update to 2.017
  - Require newer Child.pm

* Tue Mar 18 2014 Paul Howarth <paul@city-fan.org> - 2.016-1
- Update to 2.016
  - Improved subclass support

* Mon Mar 17 2014 Paul Howarth <paul@city-fan.org> - 2.014-1
- Update to 2.014
  - Support FENNEC_PARALLEL=0 environment variable setting

* Mon Jan  6 2014 Paul Howarth <paul@city-fan.org> - 2.013-1
- Update to 2.013
  - Add extra debugging for Dreamhost issue
  - Run 'before_all' after waiting, not before

* Mon Dec  9 2013 Paul Howarth <paul@city-fan.org> - 2.012-1
- Update to 2.012
  - Fix around_all
  - Documentation fixes

* Wed Dec  4 2013 Paul Howarth <paul@city-fan.org> - 2.011-1
- Update to 2.011
  - Typo fixes and documentation enhancements
  - Support the generation of tracking debugging information

* Mon Sep  2 2013 Paul Howarth <paul@city-fan.org> - 2.010-2
- BR: perl(lib) and perl(Data::Dumper) (#997554)

* Thu Aug 15 2013 Paul Howarth <paul@city-fan.org> - 2.010-1
- Initial RPM version
